package com.ruoyi.framework.recovery.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 微信抽奖对象 wx_lottery
 * 
 * @author jin
 * @date 2024-12-17
 */
public class WxLottery extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**
     * 抽奖id
     */
    private Long id;

    /**
     * 抽奖内容
     */
    @Excel(name = "抽奖内容")
    private String lotteryDesc;

    /**
     * 奖品数量
     */
    @Excel(name = "奖品数量")
    private Long lotteryNum;

    /**
     * 抽奖图片
     */
    @Excel(name = "抽奖图片")
    private String lotteryImage;

    /**
     * 开奖时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开奖时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date lotteryTime;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updateDate;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setLotteryDesc(String lotteryDesc) {
        this.lotteryDesc = lotteryDesc;
    }

    public String getLotteryDesc() {
        return lotteryDesc;
    }

    public void setLotteryNum(Long lotteryNum) {
        this.lotteryNum = lotteryNum;
    }

    public Long getLotteryNum() {
        return lotteryNum;
    }

    public void setLotteryImage(String lotteryImage) {
        this.lotteryImage = lotteryImage;
    }

    public String getLotteryImage() {
        return lotteryImage;
    }

    public void setLotteryTime(Date lotteryTime) {
        this.lotteryTime = lotteryTime;
    }

    public Date getLotteryTime() {
        return lotteryTime;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("lotteryDesc", getLotteryDesc())
                .append("lotteryNum", getLotteryNum())
                .append("lotteryImage", getLotteryImage())
                .append("lotteryTime", getLotteryTime())
                .append("createDate", getCreateDate())
                .append("updateDate", getUpdateDate())
                .toString();
    }
}
